#pragma once    
#include "CommonHeader.h"
#include "Renderer.h"

namespace XEngine::graphics{
/**
 * @brief 平台接口结构体
 * @details 定义了图形渲染平台的初始化与关闭函数指针
 */
struct platform_interface{
    bool(*initialize)(void);
    void(*shutdown)(void);
    void(*render)(void);
};
}// namespace XEngine::graphics

